#ifndef __BUTTON_H__
#define __BUTTON_H__

//  
#define NOPRESS_B ((1 << 11) | (1 << 9) | (1 << 8) | (1 << 3))
#define NOPRESS_A (1 << 8)
#define NOPRESS (NOPRESS_A | NOPRESS_B)
#define UP			0x341
#define DOWN		0x321
#define LEFT		0x261
#define RIGHT		0x161
#define SELECT	0x360

/*
enum {
	UP 		= 0x74, 
	DOWN 	= 0x6C, 
	RIGHT	= 0x5C, 
	LEFT 	= 0x3C, 
	SELECT 	= 0x78, 
	NOPRESS = 0x7C
};
*/

void button_Init(void);
//   
unsigned short button_Press(void);	
void button_SetFastMode(char fmode);

void button_Test(void);

#endif
