#ifndef __MOUSE_H__
#define __MOUSE_H__

#include "timcap.h"

typedef struct{
	unsigned int x, y;
		unsigned char L, R, M;
} TMousePos;

void mouse_Init(void);
void mouse_IRQProc(void);
char mouse_GetState(unsigned int* state);
TMousePos mouse_GetPos(void);
bool mouse_Initialize(void);
unsigned int mouse_loop(void);
#endif
