#include <string.h>
#include <stdio.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"
#include "disp.h"
#include "button.h"
#include "rtc.h"
#include "wdt.h"

static bool EventProc(unsigned int code, unsigned int data);

static unsigned int ResetTimer;

static TWnd Wnd = { WID_WDTTEST, 0, EventProc, 0 };

static bool EventProc(unsigned int code, unsigned int data)
{			
	char time[32];
	unsigned int counter = 4;
	switch (code) {
    case WE_DRAW:
      if (data == 0) {
				ResetTimer = itmr_GetTick();
				disp_ShowStr(0, 0, " ");
				disp_ShowStr(0, 1, " :");
				while(1){
					if(itmr_IsTime(ResetTimer, 1000ul)){						
						sprintf(time, "%d ", counter--);						
						disp_ShowStr(0, 2, time);
						ResetTimer = itmr_GetTick();
					}
				}				
      }
      break;   				
		default:		
			break;
  }

  return true;
}

void wnd_WDTTest(void)
{ 	
  console_OpenWnd(&Wnd);
}
