#include <stdio.h>
#include <string.h>
#include "itmr.h"
#include "disp.h"
#include "console.h"
#include "wnds.h"
#include "keyboard.h"
#include "button.h"
#include "adc.h"
#include "dac.h"
#include "uart.h"
#include "mcp23s18.h"
#include "main.h"
#define period 1000

static char ADCRes[32];

static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_ADC, 0, EventProc, 0 };

static unsigned int stime;


static bool EventProc(unsigned int code, unsigned int data)
{
//  unsigned int sample;
	switch (code) {
    case WE_DRAW:
      if (data == 0) {
				disp_ShowStr(0, 0, " .:");				
				disp_ShowStr(0, 2, " .:");				
      }
      break;
		case WE_BUTTON:
			switch(data){
				case LEFT:

				wnd_choose = 3;
					console_CloseWnd(0);
					break;
				default:
					break;
			}
			break;
					
		case WE_KEYS:		
			switch(data){
				case KEY_ESC:
				
				wnd_choose = 3;
					console_CloseWnd(0);
					break;				
			}
			break;				
		case WE_CYCLE:				
			
		if(itmr_IsTime(stime, period)){			
			
				sprintf(ADCRes, "%d mV", adc_result());
				disp_ShowStr(0, 1, ADCRes);
				sprintf(ADCRes, "%3.3f%%", (float)dac_Work() * 100/ dac_GetMaxVal());
				disp_ShowStr(0, 3, ADCRes);		
				stime = itmr_GetTick();			
		
				}
			
			break;
  }

  return true;
}

void wnd_ADC(void)
{ char buffer[32];	
	stime = itmr_GetTick();	

//		sprintf(buffer, "                    ");
//	disp_ShowStr(0, disp_YSize(), buffer);
	console_OpenWnd(&Wnd);

}
